try {
  var vue = require('vue')
} catch (e) {}

var packageName = require('./package.json').name
var packageVersion = require('./package.json').version
if (!vue || !vue.version) {
  // intentional fallthrough?
}else if(vue.version !== packageVersion && !packageVersion.startsWith(vue.version)) {
  var vuePath = require.resolve('vue')
  var packagePath = require.resolve('./package.json')
  throw new Error(
    '\n\nVue packages version mismatch:\n\n' +
      '- ' + vue.name + '@' +
      vue.version +
      ' (' +
      vuePath +
      ')\n' +
      '- ' +
      packageName +
      '@' +
      packageVersion +
      ' (' +
      packagePath +
      ')\n\n' +
      'This may cause things to work incorrectly. Make sure to use the same version for both.\n' +
      packageName +
      ' to the latest.\n'
  )
}

if (process.env.NODE_ENV === 'production') {
  module.exports = require('./build.prod.js')
} else {
  module.exports = require('./build.dev.js')
}
